수집기 그룹 목록 조회
수집기 그룹 목록을 조회합니다.
HTTP 요청
GET /api/sonar/logger-groups
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/logger-groups?offset=0&limit=10
요청 매개변수
| 키 | 필수 | 타입 | 설명 | 비고 |
|---|---|---|---|---|
| offset | X | 32비트 정수 | 건너뛸 개수 | 기본값: 0 |
| limit | X | 32비트 정수 | 최대 개수 | 기본값: 무제한 |
정상 응답
{
"total_count": 1,
"logger_groups": [
{
"guid": "0565a218-a78d-43ff-89b6-a9899adcf8c5",
"name": "Firewall",
"description": null,
"parent_guid": null,
"created": "2023-10-01 22:20:44+0900",
"updated": "2023-10-01 22:20:44+0900"
}
]
}
- total_count (32비트 정수): 검색 조건과 일치하는 모든 수집기 그룹 개수
- logger_groups (배열): 수집기 그룹 목록
- guid (문자열): 수집기 그룹 식별자
- name (문자열): 수집기 그룹 이름
- description (문자열): 수집기 그룹 설명
- parent_guid (문자열): 부모 수집기 그룹 식별자
- created (문자열): 생성일시 (
yyyy-MM-dd HH:mm:ssZ형식) - updated (문자열): 수정일시 (
yyyy-MM-dd HH:mm:ssZ형식)
offset, limit 값이 정수가 아닌 경우
HTTP 상태 코드 400 응답
{
"error_code": "invalid-argument",
"error_msg": "'offset' parameter should be int type"
}
offset, limit 값이 음수인 경우
HTTP 상태 코드 400 응답
{
"error_code": "invalid-argument",
"error_msg": "'offset' must be greater than or equal to 0."
}